<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: NSPRerrs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">NSPRerrs.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="NSPRerrs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/* ***** BEGIN LICENSE BLOCK *****</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Version: MPL 1.1/GPL 2.0/LGPL 2.1</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * The contents of this file are subject to the Mozilla Public License Version</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * 1.1 (the &quot;License&quot;); you may not use this file except in compliance with</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * the License. You may obtain a copy of the License at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * http://www.mozilla.org/MPL/</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * Software distributed under the License is distributed on an &quot;AS IS&quot; basis,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * for the specific language governing rights and limitations under the</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * License.</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * The Original Code is the Netscape security libraries.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * The Initial Developer of the Original Code is</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * Netscape Communications Corporation.</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * Portions created by the Initial Developer are Copyright (C) 1994-2000</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * the Initial Developer. All Rights Reserved.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * Contributor(s):</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * Alternatively, the contents of this file may be used under the terms of</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * either the GNU General Public License Version 2 or later (the &quot;GPL&quot;), or</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * the GNU Lesser General Public License Version 2.1 or later (the &quot;LGPL&quot;),</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * in which case the provisions of the GPL or the LGPL are applicable instead</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * of those above. If you wish to allow use of your version of this file only</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * under the terms of either the GPL or the LGPL, and not to allow others to</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * use your version of this file under the terms of the MPL, indicate your</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * decision by deleting the provisions above and replace them with the notice</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * and other provisions required by the GPL or the LGPL. If you do not delete</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * the provisions above, a recipient may use your version of this file under</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * the terms of any one of the MPL, the GPL or the LGPL.</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * ***** END LICENSE BLOCK ***** */</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment">/* General NSPR 2.0 errors */</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment">/* Caller must #include &quot;prerror.h&quot; */</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_OUT_OF_MEMORY_ERROR,    <span class="stringliteral">&quot;Memory allocation attempt failed.&quot;</span> )</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_BAD_DESCRIPTOR_ERROR,   &quot;Invalid file descriptor.&quot; )</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_WOULD_BLOCK_ERROR,      &quot;The operation would have blocked.&quot; )</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_ACCESS_FAULT_ERROR,     &quot;Invalid memory address argument.&quot; )</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_INVALID_METHOD_ERROR,   &quot;Invalid function for file type.&quot; )</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_ILLEGAL_ACCESS_ERROR,   &quot;Invalid memory address argument.&quot; )</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_UNKNOWN_ERROR,          &quot;Some unknown error has occurred.&quot; )</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_PENDING_INTERRUPT_ERROR,&quot;Operation interrupted by another thread.&quot; )</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NOT_IMPLEMENTED_ERROR,  &quot;function not implemented.&quot; )</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_IO_ERROR,               &quot;I/O function error.&quot; )</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_IO_TIMEOUT_ERROR,       &quot;I/O operation timed out.&quot; )</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_IO_PENDING_ERROR,       &quot;I/O operation on busy file descriptor.&quot; )</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_DIRECTORY_OPEN_ERROR,   &quot;The directory could not be opened.&quot; )</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_INVALID_ARGUMENT_ERROR, &quot;Invalid function argument.&quot; )</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_ADDRESS_NOT_AVAILABLE_ERROR, &quot;Network address not available (in use?).&quot; )</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_ADDRESS_NOT_SUPPORTED_ERROR, &quot;Network address type not supported.&quot; )</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_IS_CONNECTED_ERROR,     &quot;Already connected.&quot; )</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_BAD_ADDRESS_ERROR,      &quot;Network address is invalid.&quot; )</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_ADDRESS_IN_USE_ERROR,   &quot;Local Network address is in use.&quot; )</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_CONNECT_REFUSED_ERROR,  &quot;Connection refused by <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a>.&quot; )</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NETWORK_UNREACHABLE_ERROR, &quot;Network address is presently unreachable.&quot; )</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_CONNECT_TIMEOUT_ERROR,  &quot;Connection attempt timed out.&quot; )</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NOT_CONNECTED_ERROR,    &quot;Network file descriptor is not connected.&quot; )</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_LOAD_LIBRARY_ERROR,     &quot;Failure to load dynamic <a class="code" href="SECerrs_8h.html#a702191bddd0628ef41f95280f69ab08c">library</a>.&quot; )</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_UNLOAD_LIBRARY_ERROR,   &quot;Failure to unload dynamic <a class="code" href="SECerrs_8h.html#a702191bddd0628ef41f95280f69ab08c">library</a>.&quot; )</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_FIND_SYMBOL_ERROR, </div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;&quot;Symbol not <a class="code" href="SECerrs_8h.html#a2ef9065a594548ee03e31edbe574df84">found</a> in any of the loaded dynamic libraries.&quot; )</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_INSUFFICIENT_RESOURCES_ERROR, &quot;Insufficient system resources.&quot; )</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_DIRECTORY_LOOKUP_ERROR, </div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;&quot;A directory lookup on a network address has <a class="code" href="SECerrs_8h.html#a66e743f70c683b3447e0dbcca962c224">failed</a>.&quot; )</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_TPD_RANGE_ERROR, </div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;&quot;Attempt to access a TPD key that is out of range.&quot; )</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_PROC_DESC_TABLE_FULL_ERROR, &quot;Process open FD table is full.&quot; )</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_SYS_DESC_TABLE_FULL_ERROR, &quot;System open FD table is full.&quot; )</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NOT_SOCKET_ERROR, </div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;&quot;Network operation attempted on non-network file descriptor.&quot; )</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NOT_TCP_SOCKET_ERROR, </div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;&quot;TCP-specific function attempted on a non-TCP file descriptor.&quot; )</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_SOCKET_ADDRESS_IS_BOUND_ERROR, &quot;TCP file descriptor is already bound.&quot; )</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NO_ACCESS_RIGHTS_ERROR, &quot;Access Denied.&quot; )</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_OPERATION_NOT_SUPPORTED_ERROR,</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;&quot;The requested operation is not supported by the platform.&quot; )</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_PROTOCOL_NOT_SUPPORTED_ERROR,</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;&quot;The host operating system does not support the protocol requested.&quot; )</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_REMOTE_FILE_ERROR,      &quot;Access to the remote file has been severed.&quot; )</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_BUFFER_OVERFLOW_ERROR, </div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;&quot;The value requested is too large to be stored in the data buffer provided.&quot; )</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_CONNECT_RESET_ERROR,    &quot;TCP connection reset by <a class="code" href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a>.&quot; )</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_RANGE_ERROR,            &quot;Unused.&quot; )</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_DEADLOCK_ERROR,         &quot;The operation would have deadlocked.&quot; )</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_FILE_IS_LOCKED_ERROR,   &quot;The file is already locked.&quot; )</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_FILE_TOO_BIG_ERROR, </div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;&quot;Write would result in file larger than the system allows.&quot; )</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NO_DEVICE_SPACE_ERROR,  &quot;The device for storing the file is full.&quot; )</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_PIPE_ERROR,             &quot;Unused.&quot; )</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NO_SEEK_DEVICE_ERROR,   &quot;Unused.&quot; )</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_IS_DIRECTORY_ERROR, </div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;&quot;Cannot perform a normal file operation on a directory.&quot; )</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_LOOP_ERROR,             &quot;Symbolic link loop.&quot; )</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NAME_TOO_LONG_ERROR,    &quot;File name is too <span class="keywordtype">long</span>.&quot; )</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_FILE_NOT_FOUND_ERROR,   &quot;File not <a class="code" href="SECerrs_8h.html#a2ef9065a594548ee03e31edbe574df84">found</a>.&quot; )</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NOT_DIRECTORY_ERROR, </div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;&quot;Cannot perform directory operation on a normal file.&quot; )</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_READ_ONLY_FILESYSTEM_ERROR,</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;&quot;Cannot write to a read-only file system.&quot; )</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_DIRECTORY_NOT_EMPTY_ERROR,</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;&quot;Cannot delete a directory that is not empty.&quot; )</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_FILESYSTEM_MOUNTED_ERROR,</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;&quot;Cannot delete or rename a file <span class="keywordtype">object</span> while the file system is busy.&quot; )</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NOT_SAME_DEVICE_ERROR, </div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;&quot;Cannot rename a file to a file system on another device.&quot; )</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_DIRECTORY_CORRUPTED_ERROR,</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;&quot;The directory <span class="keywordtype">object</span> in the file system is corrupted.&quot; )</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_FILE_EXISTS_ERROR, </div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;&quot;Cannot create or rename a filename that already exists.&quot; )</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_MAX_DIRECTORY_ENTRIES_ERROR,</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;&quot;Directory is full.  No additional filenames may be added.&quot; )</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_INVALID_DEVICE_STATE_ERROR,</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;&quot;The required device was in an invalid state.&quot; )</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_DEVICE_IS_LOCKED_ERROR, &quot;The device is locked.&quot; )</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NO_MORE_FILES_ERROR,    &quot;No more entries in the directory.&quot; )</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_END_OF_FILE_ERROR,      &quot;Encountered end of file.&quot; )</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_FILE_SEEK_ERROR,        &quot;Seek error.&quot; )</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_FILE_IS_BUSY_ERROR,     &quot;The file is busy.&quot; )</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_IN_PROGRESS_ERROR,</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;&quot;Operation is still in <a class="code" href="NSPRerrs_8h.html#af6f7cd6791a77a1f7504fb83ac9daa7e">progress</a> (probably a non-blocking <a class="code" href="SSLerrs_8h.html#a10764c1c14b74ad693fc25c1b547abc2">connect</a>).&quot; )</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_ALREADY_INITIATED_ERROR,</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;&quot;Operation has already been initiated (probably a non-blocking <a class="code" href="SSLerrs_8h.html#a10764c1c14b74ad693fc25c1b547abc2">connect</a>).&quot; )</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="preprocessor">#ifdef PR_GROUP_EMPTY_ERROR</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_GROUP_EMPTY_ERROR,      <span class="stringliteral">&quot;The wait group is empty.&quot;</span> )</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="preprocessor">#ifdef PR_INVALID_STATE_ERROR</span></div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_INVALID_STATE_ERROR,    <span class="stringliteral">&quot;Object state improper for request.&quot;</span> )</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;<span class="preprocessor">#ifdef PR_NETWORK_DOWN_ERROR</span></div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_NETWORK_DOWN_ERROR,     <span class="stringliteral">&quot;Network is down.&quot;</span> )</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="preprocessor">#ifdef PR_SOCKET_SHUTDOWN_ERROR</span></div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_SOCKET_SHUTDOWN_ERROR,  <span class="stringliteral">&quot;The socket was previously shut down.&quot;</span> )</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="preprocessor">#ifdef PR_CONNECT_ABORTED_ERROR</span></div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_CONNECT_ABORTED_ERROR,  <span class="stringliteral">&quot;TCP Connection aborted.&quot;</span> )</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="preprocessor">#ifdef PR_HOST_UNREACHABLE_ERROR</span></div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_HOST_UNREACHABLE_ERROR, <span class="stringliteral">&quot;Host is unreachable.&quot;</span> )</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="comment">/* always last */</span></div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<a class="code" href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a>( PR_MAX_ERROR,              <span class="stringliteral">&quot;Placeholder for the end of the list&quot;</span> )</div><div class="ttc" id="SSLerrs_8h_html_a62b0ed5df1b0c2e1feaaa73b9b128da3"><div class="ttname"><a href="SSLerrs_8h.html#a62b0ed5df1b0c2e1feaaa73b9b128da3">peer</a></div><div class="ttdeci">Unable to communicate securely Peer requires high grade encryption which is not supported Unable to find the certificate or key necessary for authentication The server has encountered bad data from the client Unsupported certificate type Client authentication Unable to communicate securely with peer</div><div class="ttdef"><b>Definition:</b> <a href="SSLerrs_8h_source.html#l00071">SSLerrs.h:71</a></div></div>
<div class="ttc" id="NSPRerrs_8h_html_a47d7b4a2830e337698168167670b55b1"><div class="ttname"><a href="NSPRerrs_8h.html#a47d7b4a2830e337698168167670b55b1">ER2</a></div><div class="ttdeci">ER2(PR_FIND_SYMBOL_ERROR, &quot;Symbol not found in any of the loaded dynamic libraries.&quot;) ER2(PR_DIRECTORY_LOOKUP_ERROR</div></div>
<div class="ttc" id="NSPRerrs_8h_html_af6f7cd6791a77a1f7504fb83ac9daa7e"><div class="ttname"><a href="NSPRerrs_8h.html#af6f7cd6791a77a1f7504fb83ac9daa7e">progress</a></div><div class="ttdeci">A directory lookup on a network address has failed Network operation attempted on non network file descriptor The requested operation is not supported by the platform The value requested is too large to be stored in the data buffer provided Cannot perform a normal file operation on a directory Cannot write to a read only file system Cannot delete or rename a file object while the file system is busy The directory object in the file system is corrupted Directory is full No additional filenames may be added Operation is still in progress(probably a non-blocking connect).&quot; ) ER2( PR_ALREADY_INITIATED_ERROR</div></div>
<div class="ttc" id="SECerrs_8h_html_a702191bddd0628ef41f95280f69ab08c"><div class="ttname"><a href="SECerrs_8h.html#a702191bddd0628ef41f95280f69ab08c">library</a></div><div class="ttdeci">security library failure security library</div><div class="ttdef"><b>Definition:</b> <a href="SECerrs_8h_source.html#l00049">SECerrs.h:49</a></div></div>
<div class="ttc" id="SECerrs_8h_html_a2ef9065a594548ee03e31edbe574df84"><div class="ttname"><a href="SECerrs_8h.html#a2ef9065a594548ee03e31edbe574df84">found</a></div><div class="ttdeci">security library failure security security library has experienced an input length error security security Improperly formatted time string Peer s certificate has an invalid signature Peer s Certificate has been revoked Peer s public key is invalid New password entered incorrectly Please try again security security Peer s certificate issuer has been marked as not trusted by the user Certificate already exists in your database Error adding certificate to database The private key for this certificate cannot be found in key database This certificate is not valid The certificate issuer s certificate has expired Check your system date and time The CRL for the certificate s issuer has an invalid signature Certificate extension value is invalid Issuer certificate is invalid Certificate usages field is invalid The key does not support the requested operation New CRL is not later than the current one Not Cannot or matching certificate and private key not found Signature verification too many signers found</div><div class="ttdef"><b>Definition:</b> <a href="SECerrs_8h_source.html#l00182">SECerrs.h:182</a></div></div>
<div class="ttc" id="SECerrs_8h_html_a66e743f70c683b3447e0dbcca962c224"><div class="ttname"><a href="SECerrs_8h.html#a66e743f70c683b3447e0dbcca962c224">failed</a></div><div class="ttdeci">security library failure security security library has experienced an input length error security security Improperly formatted time string Peer s certificate has an invalid signature Peer s Certificate has been revoked Peer s public key is invalid New password entered incorrectly Please try again security security Peer s certificate issuer has been marked as not trusted by the user Certificate already exists in your database Error adding certificate to database The private key for this certificate cannot be found in key database This certificate is not valid The certificate issuer s certificate has expired Check your system date and time The CRL for the certificate s issuer has an invalid signature Certificate extension value is invalid Issuer certificate is invalid Certificate usages field is invalid The key does not support the requested operation New CRL is not later than the current one Not Cannot or matching certificate and private key not found Signature verification failed</div><div class="ttdef"><b>Definition:</b> <a href="SECerrs_8h_source.html#l00182">SECerrs.h:182</a></div></div>
<div class="ttc" id="SSLerrs_8h_html_a10764c1c14b74ad693fc25c1b547abc2"><div class="ttname"><a href="SSLerrs_8h.html#a10764c1c14b74ad693fc25c1b547abc2">connect</a></div><div class="ttdeci">Unable to communicate securely Peer requires high grade encryption which is not supported Unable to find the certificate or key necessary for authentication The server has encountered bad data from the client Unsupported certificate type Client authentication Unable to communicate securely with Peer only supports SSL which is locally disabled SSL peer reports incorrect Message Authentication Code SSL peer rejected your certificate as revoked Cannot connect</div><div class="ttdef"><b>Definition:</b> <a href="SSLerrs_8h_source.html#l00100">SSLerrs.h:100</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
